unit ADOTransPro1U1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, DBGrids, Db, DBCtrls, ExtCtrls, ADODB, OLEDB;

type
  TForm1 = class(TForm)
    ADOConnection1: TADOConnection;
    ADOTable1: TADOTable;
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    btnBeginTrans: TButton;
    btnCommitTrans: TButton;
    btnRollbackTrans: TButton;
    Memo1: TMemo;
    Button1: TButton;
    procedure btnBeginTransClick(Sender: TObject);
    procedure btnCommitTransClick(Sender: TObject);
    procedure btnRollbackTransClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btnBeginTransClick(Sender: TObject);
begin
  ADOConnection1.BeginTrans;
end;

procedure TForm1.btnCommitTransClick(Sender: TObject);
begin
  ADOConnection1.CommitTrans;
end;

procedure TForm1.btnRollbackTransClick(Sender: TObject);
begin
  ADOConnection1.RollbackTrans;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  case ADOConnection1.Properties['Transaction DDL'].Value of
  DBPROPVAL_TC_NONE      : ShowMessage('Transactions are not supported');
  DBPROPVAL_TC_DML       : ShowMessage('Transactions can contain DML. DDL causes an exception');
  DBPROPVAL_TC_DDL_COMMIT: ShowMessage('Transactions can contain DML. DDL causes transactions to commit');
  DBPROPVAL_TC_DDL_IGNORE: ShowMessage('Transactions can contain DML. DDL is ignored');
  DBPROPVAL_TC_ALL       : ShowMessage('Transactions can contain DML and DDL');
  end;
end;

end.
