unit TstSpCkU;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, AASplChk;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    ListBox1: TListBox;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    SpellChecker : TaaSpellChecker;
  end;

var
  Form1: TForm1;      

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  List : TStringList;
begin
  if SpellChecker.WordExists(Edit1.Text) then begin
    Label2.Caption := Edit1.Text + ' exists.';
    ListBox1.Items.Clear;
  end
  else begin
    Label2.Caption := Edit1.Text + ' does not exist.';
    List := TStringList.Create;
    try
      List.Sorted := true;
      SpellChecker.GetAlternatives(Edit1.Text, List);
      Listbox1.Items.Assign(List);
    finally
      List.Free;
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SpellChecker := TaaSpellChecker.Create('WORD.LST');
end;

end.
