unit mleCommon;

interface

uses
  Classes, DBTables;

type
  TInfoPacket = class
  private
    FDatabase: TDatabase;
    FVariables: TStrings;
  public
    constructor Create;
    destructor Destroy; override;
    property Database: TDatabase read FDatabase write FDatabase;
    property Variables: TStrings read FVariables;
  end;

implementation

{ TInfoPacket }

constructor TInfoPacket.Create;
begin
  inherited;
  FVariables := TStringList.Create;
end;

destructor TInfoPacket.Destroy;
begin
  FVariables.Free;
  inherited;
end;

end.
